неділя, 10 лютого 2008 р.

Налаштовуємо багатокнопочну мишку в Ubuntu

Мабуть багато хто з вас має мишку з додатковими кнопками. От і в мене така - A4-Tech WOP-35. Вона має п'ять кнопок і два коліщатка прокрутки.



У комплекті з мишкою йшла лише дискета з драйвером для Windows. А чи можна змусити цю ж мишку повноцінно працювати в Ubuntu? Причому не так щоб додаткові кнопки виконували роль навігації вперед/назад, а взагалі, щоб можна було їх повністю налаштовувати на свій смак. Виявляється, що цілком можна. І допоможе нам у цьому утиліта btnx.

Спершу йдемо за цією адресою: http://www.ollisalonen.com/btnx/

Завантажуємо два пакети:

btnx_0.4.4-1_i386.deb
btnx-config_0.4.4-1_i386.deb


Перед тим як починати їх встановлювати, створимо каталог /etc/btnx (інакше програма не встановиться, схоже просто глюк інсталятора):
sudo mkdir /etc/btnx

Тепер встановлюємо обидва пакети і запускаємо конфігуратор обравши Програми->Системні утиліти->btnx. Відкриється наступне вікно.



Тиснемо кнопку Detect mouse & buttons - програма спробує розпізнати вашу мишку і попросить понатискати на кнопки. Все дуже просто, вам потрібно буде натиснути на кнопку угорі вікна (Press to start button detection), а потім просто понатискати декілька разів на якусь із кнопок доки не заповниться прогрес, потім вас запитають як назвати дану кнопку, набиріть, що захочете і натискайте Додати. Таким чином вчимо програму усім кнопкам які є на вашій мишці, а по завершенню тиснемо на Гаразд.



Коли ви закінчили навчати програму новим кнопкам, переходимо на закладку Buttons у головному вікні і задаємо для них таку функцію яку захочемо. Знову ж все просто, якщо ми хочемо щоб якась із кнопок мишки вела себе нестандартно - ставимо галочку на Enabled і нижче обираємо функцію. Це може бути або комбінація клавіш, або якась функція із стандартного набору, або й взагалі якась консольна команда. Можливостей багато.



Коли налаштування для кнопок зроблено, повертаємося знову на закладку Configurations і тиснемо на кнопку Restart btnx. З цього моменту ваші налаштування буде активовано. Тепер вікно можна закрити.Смотреть онлайн фильмы на кинофаноф.ру,

2 коментарі:

  1. Может подскажеш как это усановить на х86_64 из исходников, а то у меня вот такие чудеса:

    checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.10.11) were not met:

    No package 'gtk+-2.0' found

    А то что не находится, у меня установлено (но только как libgtk2.0-0).
    Спасибо!

    ВідповістиВидалити
  2. Набери эту команду
    pkg-config --modversion gtk+-2.0
    она покажет какая версия libgtk у тебя установлена. У меня например стоит 2.12.0, в любом случае должно быть не ниже 2.10.11. Если у тебя инсталлировано аболее старая версия, то нужно обновить.

    Руководство по установке

    ВідповістиВидалити